Last Comment Bug 604820 - Add dot-iran to IDN whitelist
: Add dot-iran to IDN whitelist
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b7
Assigned To: :Ehsan Akhgari (out sick)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-15 16:40 PDT by Behnam Esfahbod [:zwnj]
Modified: 2010-10-31 16:20 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
.13-fixed
.16-fixed


Attachments
Patch (v1) (1.21 KB, patch)
2010-10-15 18:15 PDT, :Ehsan Akhgari (out sick)
gerv: review+
jst: approval2.0+
Details | Diff | Review
For check-in (1.30 KB, patch)
2010-10-21 10:56 PDT, :Ehsan Akhgari (out sick)
christian: approval1.9.2.13+
christian: approval1.9.1.16+
Details | Diff | Review

Description Behnam Esfahbod [:zwnj] 2010-10-15 16:40:38 PDT
Dot-Iran is not approved by ICANN and have passed the string evaluation process. (http://icann.org/en/announcements/announcement-15oct10-en.htm)

The are two A-labels assign to dot-iran:
 * xn--mgba3a4f16a ایران
 * xn--mgba3a4fra ايران

Source: http://icann.org/en/topics/idn/fast-track/string-evaluation-completion-i-en.htm#ir

And http://www.nic.ir/IDN describes the policy.

Can we have this on Firefox 4.0 release, please?
Comment 1 :Ehsan Akhgari (out sick) 2010-10-15 18:07:34 PDT
(In reply to comment #0)
> Dot-Iran is not approved by ICANN and have passed the string evaluation
> process. (http://icann.org/en/announcements/announcement-15oct10-en.htm)

Is it safe to assume s/not/now/ here?
Comment 2 :Ehsan Akhgari (out sick) 2010-10-15 18:15:09 PDT
Created attachment 483687 [details] [diff] [review]
Patch (v1)
Comment 3 Behnam Esfahbod [:zwnj] 2010-10-16 00:54:04 PDT
Ehsan, of course, and thanks.
Comment 4 IRNIC Technical Team 2010-10-16 00:57:55 PDT
And this is the official request from IRNIC, the registry of dot-iran tld, to add dot-iran to the IDN whitelist.

Thanks in advance,
-Technical Team
IRNIC
Comment 5 Gervase Markham [:gerv] 2010-10-21 03:03:57 PDT
Happy with the request and the policy. Only problem with the patch is that the entries are supposed to be in alphabetical order. But I can fix that on checkin.

Gerv
Comment 6 Johnny Stenback (:jst, jst@mozilla.com) 2010-10-21 10:53:47 PDT
Not blocking, but we'll take the patch.
Comment 7 :Ehsan Akhgari (out sick) 2010-10-21 10:56:12 PDT
Created attachment 485081 [details] [diff] [review]
For check-in
Comment 8 :Ehsan Akhgari (out sick) 2010-10-21 10:58:47 PDT
http://hg.mozilla.org/mozilla-central/rev/422f6f9b048d

Note You need to log in before you can comment on or make changes to this bug.